/* ///////////////////////////////////////////////////////////////////////
 * File:		synch.h		
 *
 * Created:		08.11.24			
 * Updated:		08.11.24
 *
 * Brief:		The Windows Synchronization Library
 *
 * [<Home>]
 * Copyright (c) 2008-2020, Waruqi All rights reserved.
 * //////////////////////////////////////////////////////////////////// */

#ifndef EXTL_PLATFORM_WINDOWS_SYNCH_H
#define EXTL_PLATFORM_WINDOWS_SYNCH_H

/* ///////////////////////////////////////////////////////////////////////
 * Includes
 */
#include "prefix.h"
#include "basic_event.h"
#include "basic_mutex.h"
#include "basic_semaphore.h"
#include "basic_critical.h"
#include "lock.h"
/* //////////////////////////////////////////////////////////////////// */
#endif /* EXTL_PLATFORM_WINDOWS_SYNCH_H */
/* //////////////////////////////////////////////////////////////////// */

